View Issue Details

IDProjectCategoryView StatusLast Update
07280Development [All Projects] Survey designpublic2014-01-11 09:08
ReporterdanielschmitteuracAssigned Tomfaber 
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version 
Target Version2.05Fixed in Version2.05 
Summary07280: date field calculates valid dates from invalid user inputs instead of reporting invalid input
Description

Given an invalid date by keyboard entry of the user,
the date field calculates the next higher valid date instead of reporting a wrong date to the user.
Example (dd.mm.yyyy):
01.13.1990 -> 01.01.1991
32.01.1990 -> 01.02.1990

When an invalid date is given, this behavior is more guessing than guaranteeing an accurate answer.

To have keyboard entry available, the date field must be configured to use the datepicker

Steps To Reproduce
  1. Enter an invalid date
  2. Go to the next page
  3. Go back to see the calculated date

Use attached survey

TagsNo tags attached.

Activities

danielschmitteurac

danielschmitteurac

2013-02-08 12:19

reporter  

limesurvey_survey_912371.lss (13,380 bytes)

Related Changesets

LimeSurvey: 2.05 8a76fadf

2013-11-10 00:41:04

mfaber


Committer: mfaber Details Diff
Dev: fix js date validation

Dev: validateInput() function was not called
Affected Issues
07280
mod - application/helpers/qanda_helper.php Diff File
mod - scripts/date.js Diff File

Issue History

Date Modified Username Field Change
2013-02-08 12:19 danielschmitteurac New Issue
2013-02-08 12:19 danielschmitteurac File Added: limesurvey_survey_912371.lss
2013-02-15 10:05 c_schmitz Assigned To => c_schmitz
2013-02-15 10:05 c_schmitz Status new => assigned
2013-02-15 10:13 c_schmitz Assigned To c_schmitz =>
2013-02-15 10:13 c_schmitz Status assigned => acknowledged
2013-02-15 10:13 c_schmitz Target Version => 2.10
2013-02-15 10:13 c_schmitz Project Bug reports => Development
2013-11-16 18:01 mfaber Changeset attached => LimeSurvey 2.05 8a76fadf
2013-11-16 18:02 mfaber Assigned To => mfaber
2013-11-16 18:02 mfaber Status acknowledged => assigned
2013-11-16 18:03 mfaber Resolution open => fixed
2013-11-16 18:03 mfaber Product Version 2.00+ =>
2013-11-16 18:03 mfaber Fixed in Version => 2.05
2013-11-16 18:03 mfaber Target Version 2.10 =>
2013-11-16 18:04 mfaber Status assigned => resolved
2013-11-16 18:04 mfaber Target Version => 2.05
2014-01-11 09:08 mfaber Status resolved => closed